/* University of York Robotics Laboratory PsiSwarm Library: LED Functions Header File
 * 
 * File: led.h
 *
 * (C) Dept. Electronics & Computer Science, University of York
 * James Hilder, Alan Millard, Alexander Horsfield, Homero Elizondo, Jon Timmis
 *
 * PsiSwarm Library Version: 0.41
 *
 * March 2016
 *
 *
 */ 


#ifndef LED_H
#define LED_H

unsigned short get_led_states(void);
void set_leds(char green, char red);
void set_green_leds(char green);
void set_red_leds(char red);
void set_led(char led, char state);
void set_base_led(char state);
void blink_leds(float timeout);
void set_center_led(char state);
void set_center_led(char state, float brightness);
void set_center_led_brightness(float brightness);
void save_led_states(void);
void restore_led_states(void);
void IF_init_leds(void);
void IF_update_leds(void);

#endif