/* University of York Robotics Laboratory PsiSwarm Library: Serial Control Header File
 * 
 * File: serial.h
 *
 * (C) Dept. Electronics & Computer Science, University of York
 * James Hilder, Alan Millard, Alexander Horsfield, Homero Elizondo, Jon Timmis
 *
 * PsiSwarm Library Version: 0.41
 *
 * March 2016
 *
 *
 */ 
 
 
#ifndef SERIAL_H
#define SERIAL_H
 
void handle_user_serial_message(char * message, char length, char interface);

void IF_start_file_transfer_mode(void);
void IF_end_file_transfer_mode(void);
void IF_file_transfer_timeout(void);
void IF_handle_file_transfer_serial_message(char * message, char length, char interface);
void IF_handle_user_serial_message(char * message, char length, char interface);
void IF_handle_command_serial_message(char message [3], char interface);
void IF_setup_serial_interfaces(void);
void IF_pc_rx_callback(void);
void IF_bt_rx_callback(void);

char * IF_nibble_to_binary_char(char in);
char * IF_char_to_binary_char(char in);
float IF_decode_unsigned_float(char byte0, char byte1);
float IF_decode_float(char byte0, char byte1);
float IF_decode_float(char byte0);
float IF_decode_unsigned_float(char byte0);
void IF_set_filename(char * filename_in);
unsigned short IF_calculateCRC16(int file_length);


#endif